
# ENV

[env]
TERM = "xterm-256color"
#TERM = "alacritty"



# WINDOW

[window]
startup_mode = "Windowed"
dynamic_title = true
dynamic_padding = true
decorations = "Full"
decorations_theme_variant = "Dark"
opacity = 0.8
blur = true
dimensions = { columns = 180, lines = 50 }


# SCROLLING

[scrolling]
history = 100000
multiplier = 3


# FONT
[font]
normal = { family = "Hack Nerd Font Mono" }
size = 16
builtin_box_drawing = true


# BELL

[bell]
animation = "EaseOutExpo"
duration = 0
#color = "#ffffff"
#command = "None"


# SELECTION

[selection]
semantic_escape_chars = ",│`|:\"' ()[]{}<>\t"
save_to_clipboard = true


# CURSOR

[cursor]
style = { shape = "Beam", blinking = "on" }
unfocused_hollow = true
thickness = 0.15


# MOUSE

[mouse]
hide_when_typing = false

[general]

live_config_reload = true
# GENERAL

import = [
    "~/.config/alacritty/themes/catpuccin-latte.toml",
]

[terminal.shell]
program="/usr/local/bin/tmux"
args=['new-session', '-s', "gMac"]
